Subject: Re: lilo installation on IDE disk > 500 megabytes

From: [email-masked]
Date: Thu, 22 Aug 96 09:29:42 cet

You only need to copy the kernel image to the DOS partition, for example:
 
 cp /boot/vmlinuz-2.0.6 ./dos/vmlinuz
 
 Then when you've booted DOS type (make a batch :-)
 
 loadlin vmlinuz root=/dev/hda2 ro 
 
 Or have alook at the loadlin documentation. 
 
 Some tips for "advanced" use of this boot scheme: 
 
 - You may prefer to name the kernel copied to the DOS partition with a 
 more descriptive name, like l960714.std (for the standard kernel image of 
 1996-07-14). This will help when trying different kernels (diff configs or 
 diff just versions or special kernels or...)
 
 - You can copy the kernel to a floppy and boot from the floppy with a 
 minimal DOS config.sys (to save memory LOADLIN needs). 
 
 - You can make a batch file or for DOS > 6.0 use menus in config.sys 
 and/or autoexec.bat to load different kernels or systems with root on 
 different partitions (not your case). 

 I find this LOADLIN scheme a very flexible one. I find the related DOS 
 applications rdev, pfdisk and ext2tools good companions to this DOS 
 booting scheme. A DOS readln or readkey utility (or BE ASK in NORTON UTIL) 
 is also handy for creating extremely configurable DOS bat files to manage 
 the most complex scenarios you can imagine.
 Misc: This is the only method I found to boot linux on Compaq with PCI on 
 board as linux need to relocates the PCI services through a DOS driver 
 provided by COMPAQ. Syslinux or LILO cannot make linux see the PCI chips 
 (Linus Torvald said). 
 
 Disclaimer: LILO is very good,... this is just an alternative. 
 
 Lazaro 
 <[email-masked]>
 
 P.S. I could send you a copy of my setup if you want.
______________________________ Reply Separator _________________________________
Subject: lilo installation on IDE disk > 500 megabytes
Author:  [email-masked] at cclink
Date:    22.08.96 07:39

    I am trying to install the 7-14-96 debian release on a machine
with over 500 megabytes on an IDE hard disk.  I want to have a DOS
partition and a linux partition.  At present fdisk shows:

>    Device Boot   Begin    Start      End   Blocks   Id  System
> /dev/hda1            1        1      356   179392+   6  DOS 16-bit >=32M
> /dev/hda2   *      357      357      966   307440   83  Linux native
> /dev/hda3          967      967      999    16632   82  Linux swap

fdisk also displays a warning:

> The number of cylinders for this disk is set to 1025.
> This is larger than 1024, and may cause problems with:
> 1) software that runs at boot time (e.g., LILO)

The lilo documentation says:

>Note that large partitions that only partially extend into the "forbidden 
>zone" are still in jeopardy even if they appear to work at first, because 
>the file system does not know about the restrictions and may allocate disk 
>space from the area beyond the 1024th cylinder when installing new kernels. 

Lilo suggests either using LOADLIN or booting from the DOS partition:

> In order to accomplish this, the DOS partition is mounted read-write, a 
> directory (e.g. /dos/linux) is created, all files from /boot are moved to 
> that directory, /boot is replaced by a symbolic link to it, the kernels are 
> also moved to the new directory, their new location is recorded in 
> /etc/lilo.conf, and finally /sbin/lilo is run.

   I tried creating a subdirectory c:\linux in DOS, then from linux:

     mkdir ./dos
     mount /dev/hda1/linux ./dos
     cp /boot ./dos

At this point, I got some warning or error messages.  It looks as though
file names got truncated, and in some cases discarded completely.

>From ls /boot:

>    System.map-2.0.6     chain.b      
>    any_b.b              map          
>    any_d.b		  mbr.b        
>    boot.0302	          os2_d.b      
>    boot.b		  vmlinuz-2.0.6

>From ls ./dos:

>    any_b.b    map       
>    any_d.b	mbr.b     
>    boot.030   os2_d.b   
>    boot.b	system.map
>    chain.b

    I would appreciate some hand-holding at this stage.  Exactly
what commands do I type to carry out the lilo instructions (specifically,
the symbolic link and copying the kernel)?  Or would I be better off
trying loadlin?

    Sorry this has been such a long post.  Thanks for your patience!